<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta
  http-equiv="Content-Type"
  content="text/html; charset=iso-8859-1">
<title>Server Tools</title>
<link
  rel="stylesheet"
  type="text/css"
  href="../sources/formate.css">
</head>
<body>
<p class="ueberschrift">Internet Tools</p>
<p>The internet component contains Internet preferences (e.g. proxy
server configuration), Web browser support, and the TCP/IP monitor. The
component lead is Tim deBoer.</p>

<p class="ueberschrift">WST Internet Plugins</p>
<ul>
  <li>TCP/IP Monitor
  <ul>
    <li>org.eclipse.wst.internet.monitor.core**</li>
    <li>org.eclipse.wst.internet.monitor.ui**</li>
  </ul>
  </li>
  <li>Monitor for Web pages, Web services
  <ul>
    <li>Shows request from client and the servers response</li>
    <li>Useful for understanding applications, debugging, etc.</li>
    <li>Supports TCP/IP and HTTP</li>
    <li>View bytes, images, or XML</li>
  </ul>
  </li>
  <li>Web Browser utilities
  <ul>
    <li>org.eclipse.wst.internet.webbrowser</li>
  </ul>
  </li>
  <li>The internal Web browser and support for launching external
  browsers moved into Eclipse in 3.1M6</li>
  <li>Utilities for the Eclipse browser plugin
  <ul>
    <li>Easily switch between browsers, toolbar button to open internal
    browser</li>
  </ul>
  </li>
  <li>Proxy Settings
  <ul>
    <li>org.eclipse.wst.internet.proxy</li>
  </ul>
  </li>
  <li>Manage internet proxy configuration and JRE properties
  <ul>
    <li>Preference page</li>
    <li>HTTP proxy servers and firewalls</li>
    <li>Authenticating proxy servers</li>
    <li>SOCKS</li>
    <li>Likely to move to Eclipse 3.2</li>
  </ul>
  </li>
  <li>Internet Cache
  <ul>
    <li>org.eclipse.wst.internet.cache</li>
  </ul>
  </li>
  <li>Caches documents requested from the internet
  <ul>
    <li>Currently only used by the XML catalog</li>
  </ul>
  </li>
</ul>
<p class="note">** Contains provisional API</p>

<p class="ueberschrift">API<a name="API"></a> Status</p>
<ul>
  <li>API is basically ready to go. Based on past experience we're
  reasonably comfortable with the current content</li>
  <li>Reasonable validation through several servers and API users in WTP</li>
  <li>BEA and IBM are both in the process of validating the API
  internally</li>
  <li>Provisional APIs:
  <ul>
    <li>TCP/IP Monitor</li>
    <li>Parts of server tools relating to features</li>
  </ul>
  </li>
</ul>

<p class="ueberschrift">For more information</p>
<ul>
  <li>Component overviews
  <ul>
    <li>Overviews exist for all three components (wst.internet,
    wst.server, jst.server) on the WTP website</li>
    <li>Some documentation about specific function:
    <ul>
      <li>Run on Server</li>
      <li>Generic servers</li>
    </ul>
    </li>
    <li>EclipseCon presentation</li>
  </ul>
  </li>
  <li>API javadoc in code or in online help</li>
  <li>Bugzilla
  <ul>
    <li>Feel free to open enhancement requests for unclear javadoc,
    further documentation you'd like to see, etc.</li>
  </ul>
  </li>
</ul>
<br>
<br>
</body>
</html>
